#include <bits/stdc++.h>
using namespace std;

long long n, m, c, r, a[2000][2000], b[2000];

int main() {
    ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    cin>>n>>m;
    for(int i=1; i<=n; i++) {
        for(int j=1; j<=m; j++) cin>>a[i][j];
    }
    for(int i=1; i<=n+m-1; i++) {
        for(int j=max(n-n, i-n); j<=min(m, n+i-n); j++) {
            b[i]^=a[i-j+1][j];
        }
    }
    for(long long i=1; i<=(1<<30); i<<=1) {
        c=0;
        for(int j=1; j<=n+m-1; j++) {
            if(b[j]&i) c++;
        }
        r+=i*min(c, n+m-1-c);
    }
    cout<<r;
    return 0;
}